gtkmm 2.4: Gtk::PrintSettings Class Reference

Main Page Widgets Namespaces Book

# Gtk::PrintSettings Class Reference
[Printing]

Inheritance diagram for Gtk::PrintSettings:

[legend]
List of all members.

## Detailed Description

A PrintSettings object represents the settings of a print dialog in a system-independent way.

The main use for this object is that once you've printed you can get a settings object that represents the settings the user chose, and the next time you print you can pass that object in so that the user doesn't have to re-set all his settings.

It's also possible to enumerate the settings so that you can easily save the settings for the next time your app runs, or even store them in a document. The predefined keys try to use shared values as much as possible so that moving such a document between systems still works.

Since gtkmm 2.10:

## Public Types
typedef sigc::slot< void, Glib::ustring&, Glib::ustring& > | SlotForeach
| For example, void on_foreach_setting(const Glib::ustring& key, const Glib::ustring& value);.
## Public Member Functions
Glib::ustring | get (const Glib::ustring& key) const
bool | get_bool (const Glib::ustring& key) const
bool | get_collate () const
Glib::ustring | get_default_source () const
Glib::ustring | get_dither () const
double | get_double (const Glib::ustring& key) const
double | get_double_with_default (const Glib::ustring& key, double def) const
PrintDuplex | get_duplex () const
Glib::ustring | get_finishings () const
int | get_int (const Glib::ustring& key) const
int | get_int_with_default (const Glib::ustring& key, int def) const
double | get_length (const Glib::ustring& key, Unit unit) const
Glib::ustring | get_media_type () const
int | get_n_copies () const
int | get_number_up () const
PageOrientation | get_orientation () const
Glib::ustring | get_output_bin () const
Glib::ArrayHandle<PageRange> | get_page_ranges () const
PageSet | get_page_set () const
double | get_paper_height (Unit unit) const
const PaperSize | get_paper_size () const
PaperSize | get_paper_size ()
double | get_paper_width (Unit unit) const
PrintPages | get_print_pages () const
Glib::ustring | get_printer () const
PrintQuality | get_quality () const
int | get_resolution () const
bool | get_reverse () const
double | get_scale () const
bool | get_use_color () const
const GtkPrintSettings* | gobj () const
| Provides access to the underlying C GObject.
GtkPrintSettings* | gobj ()
| Provides access to the underlying C GObject.
GtkPrintSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | has_key (const Glib::ustring& key) const
void | set (const Glib::ustring& key, const Glib::ustring& value)
void | set_bool (const Glib::ustring& key, bool value=true)
void | set_collate (bool collate=true)
void | set_default_source (const Glib::ustring& default_source)
void | set_dither (const Glib::ustring& dither)
void | set_double (const Glib::ustring& key, double value)
void | set_duplex (PrintDuplex duplex)
void | set_finishings (const Glib::ustring& finishings)
void | set_int (const Glib::ustring& key, int value)
void | set_length (const Glib::ustring& key, double value, Unit unit)
void | set_media_type (const Glib::ustring& media_type)
void | set_n_copies (int num_copies)
void | set_number_up (int number_up)
void | set_orientation (PageOrientation orientation)
void | set_output_bin (const Glib::ustring& output_bin)
void | set_page_ranges (const Glib::ArrayHandle<PageRange>& page_ranges)
void | set_page_set (PageSet page_set)
void | set_paper_height (double height, Unit unit)
void | set_paper_size (const PaperSize& paper_size)
void | set_paper_width (double width, Unit unit)
void | set_print_pages (PrintPages print_pages)
void | set_printer (const Glib::ustring& name)
void | set_quality (PrintQuality quality)
void | set_resolution (int resolution)
void | set_reverse (bool reverse=true)
void | set_scale (double scale)
void | set_use_color (bool use_color=true)
void | setting_foreach (const SlotForeach& slot)
| Calls a function for each print setting.
void | unset (const Glib::ustring& key)
virtual | ~PrintSettings ()
## Static Public Member Functions
static Glib::RefPtr<PrintSettings> | create ()
## Protected Member Functions
| PrintSettings ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::PrintSettings> | wrap (GtkPrintSettings* object, bool take_copy=false)
## Classes
class | Keys
| Print settings keys. More...
class | PageRange

## Member Typedef Documentation

typedef sigc::slot<void, Glib::ustring&, Glib::ustring&> Gtk::PrintSettings::SlotForeach

For example, void on_foreach_setting(const Glib::ustring& key, const Glib::ustring& value);.

## Constructor & Destructor Documentation

virtual Gtk::PrintSettings::~PrintSettings | ( |  | ) | `[virtual]`

Gtk::PrintSettings::PrintSettings | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<PrintSettings> Gtk::PrintSettings::create | ( |  | ) | `[static]`

Glib::ustring Gtk::PrintSettings::get | ( | const Glib::ustring & | key | ) | const

bool Gtk::PrintSettings::get_bool | ( | const Glib::ustring & | key | ) | const

bool Gtk::PrintSettings::get_collate | ( |  | ) | const

Glib::ustring Gtk::PrintSettings::get_default_source | ( |  | ) | const

Glib::ustring Gtk::PrintSettings::get_dither | ( |  | ) | const

double Gtk::PrintSettings::get_double | ( | const Glib::ustring & | key | ) | const

double Gtk::PrintSettings::get_double_with_default | ( | const Glib::ustring & | key,
|  | double | def |
| ) |  |  | const

PrintDuplex Gtk::PrintSettings::get_duplex | ( |  | ) | const

Glib::ustring Gtk::PrintSettings::get_finishings | ( |  | ) | const

int Gtk::PrintSettings::get_int | ( | const Glib::ustring & | key | ) | const

int Gtk::PrintSettings::get_int_with_default | ( | const Glib::ustring & | key,
|  | int | def |
| ) |  |  | const

double Gtk::PrintSettings::get_length | ( | const Glib::ustring & | key,
|  | Unit | unit |
| ) |  |  | const

Glib::ustring Gtk::PrintSettings::get_media_type | ( |  | ) | const

int Gtk::PrintSettings::get_n_copies | ( |  | ) | const

int Gtk::PrintSettings::get_number_up | ( |  | ) | const

PageOrientation Gtk::PrintSettings::get_orientation | ( |  | ) | const

Glib::ustring Gtk::PrintSettings::get_output_bin | ( |  | ) | const

Glib::ArrayHandle<PageRange> Gtk::PrintSettings::get_page_ranges | ( |  | ) | const

PageSet Gtk::PrintSettings::get_page_set | ( |  | ) | const

double Gtk::PrintSettings::get_paper_height | ( | Unit | unit | ) | const

const PaperSize Gtk::PrintSettings::get_paper_size | ( |  | ) | const

PaperSize Gtk::PrintSettings::get_paper_size | ( |  | ) |

double Gtk::PrintSettings::get_paper_width | ( | Unit | unit | ) | const

PrintPages Gtk::PrintSettings::get_print_pages | ( |  | ) | const

Glib::ustring Gtk::PrintSettings::get_printer | ( |  | ) | const

PrintQuality Gtk::PrintSettings::get_quality | ( |  | ) | const

int Gtk::PrintSettings::get_resolution | ( |  | ) | const

bool Gtk::PrintSettings::get_reverse | ( |  | ) | const

double Gtk::PrintSettings::get_scale | ( |  | ) | const

bool Gtk::PrintSettings::get_use_color | ( |  | ) | const

const GtkPrintSettings* Gtk::PrintSettings::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkPrintSettings* Gtk::PrintSettings::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkPrintSettings* Gtk::PrintSettings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::PrintSettings::has_key | ( | const Glib::ustring & | key | ) | const

void Gtk::PrintSettings::set | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | value |
| ) |  |  |

void Gtk::PrintSettings::set_bool | ( | const Glib::ustring & | key,
|  | bool | value = `true` |
| ) |  |  |

void Gtk::PrintSettings::set_collate | ( | bool | collate = `true` | ) |

void Gtk::PrintSettings::set_default_source | ( | const Glib::ustring & | default_source | ) |

void Gtk::PrintSettings::set_dither | ( | const Glib::ustring & | dither | ) |

void Gtk::PrintSettings::set_double | ( | const Glib::ustring & | key,
|  | double | value |
| ) |  |  |

void Gtk::PrintSettings::set_duplex | ( | PrintDuplex | duplex | ) |

void Gtk::PrintSettings::set_finishings | ( | const Glib::ustring & | finishings | ) |

void Gtk::PrintSettings::set_int | ( | const Glib::ustring & | key,
|  | int | value |
| ) |  |  |

void Gtk::PrintSettings::set_length | ( | const Glib::ustring & | key,
|  | double | value,
|  | Unit | unit |
| ) |  |  |

void Gtk::PrintSettings::set_media_type | ( | const Glib::ustring & | media_type | ) |

void Gtk::PrintSettings::set_n_copies | ( | int | num_copies | ) |

void Gtk::PrintSettings::set_number_up | ( | int | number_up | ) |

void Gtk::PrintSettings::set_orientation | ( | PageOrientation | orientation | ) |

void Gtk::PrintSettings::set_output_bin | ( | const Glib::ustring & | output_bin | ) |

void Gtk::PrintSettings::set_page_ranges | ( | const Glib::ArrayHandle<PageRange>& | page_ranges | ) |

void Gtk::PrintSettings::set_page_set | ( | PageSet | page_set | ) |

void Gtk::PrintSettings::set_paper_height | ( | double | height,
|  | Unit | unit |
| ) |  |  |

void Gtk::PrintSettings::set_paper_size | ( | const PaperSize& | paper_size | ) |

void Gtk::PrintSettings::set_paper_width | ( | double | width,
|  | Unit | unit |
| ) |  |  |

void Gtk::PrintSettings::set_print_pages | ( | PrintPages | print_pages | ) |

void Gtk::PrintSettings::set_printer | ( | const Glib::ustring & | name | ) |

void Gtk::PrintSettings::set_quality | ( | PrintQuality | quality | ) |

void Gtk::PrintSettings::set_resolution | ( | int | resolution | ) |

void Gtk::PrintSettings::set_reverse | ( | bool | reverse = `true` | ) |

void Gtk::PrintSettings::set_scale | ( | double | scale | ) |

void Gtk::PrintSettings::set_use_color | ( | bool | use_color = `true` | ) |

void Gtk::PrintSettings::setting_foreach | ( | const SlotForeach& | slot | ) |

Calls a function for each print setting.

Parameters:

  | slot | The callback to call for each print setting.

void Gtk::PrintSettings::unset | ( | const Glib::ustring & | key | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::PrintSettings> wrap | ( | GtkPrintSettings * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printsettings.h